N = 100;
x = linspace(0,1,N);
y = linspace(0,1,N);
[X, Y] = meshgrid(x,y);
Z = (1+0.5*cos(pi*X).*cos(pi*Y))/2;
figure(2)
surf(X,Y,Z)
hold on
x = linspace(1,2,N);
y = linspace(0,1,N);
[X, Y] = meshgrid(x,y);
Z = 0.2*(1+cos(pi*X).*cos(pi*Y))/2;;
surf(X,Y,Z)
colormap hot
shading interp
set(gca, 'xtick', 1:2);
set(gca, 'ytick', 0:1);
set(gca, 'ztick', 0:1);
zlim([0,2])
view([10, 30])
%zticks([-8 0 8])
hold off

saveas(gcf,'borri.png')
